# coding: utf8

from setuptools import setup, find_packages
from setuptools.extension import Extension
from Cython.Build import cythonize
import numpy

# with open('requirements.txt') as f:
#     requires = f.read().splitlines()

extensions = [
    Extension(
        "evaltools.scores",
        ["evaltools/scores.pyx"],
    ),
]

setup(
    name='evaltools',
    packages=find_packages(),
    # install_requires=requires,
    # scripts=[],  # command line tools
    version='1.0.5',
    ext_modules=cythonize(extensions),
    include_dirs=[numpy.get_include()],
)
